#
# spec file for package phonon-vlc
#
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           phonon-vlc
Version:        0.2
Release: 2010081501.1
License:        LGPL v2.1 or later
Summary:        VLC backend for Phonon library
Group:          System/Sound Daemons
Source:         %{name}.tar.bz2
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
BuildRequires:  phonon-devel
BuildRequires:  vlc-devel
Supplements:    packageand(vlc:libphonon4)

%description
libVLC backend for the Phonon library

%prep
%setup -q -n %{name}
mkdir build

%build
pushd build
cmake \
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  -DLIB_INSTALL_DIR=%{_libdir} \
..
make V=1

%install
pushd build
%makeinstall

%files
%defattr(-, root, root)
%{_libdir}/kde4/plugins/phonon_backend/phonon_vlc.so
%{_datadir}/kde4/services/phononbackends/vlc.desktop

%changelog
* Sun Jun 20 2010 dimstar@opensuse.org
- Initial package of phonon-vlc, libVLC backend for Phonon library.
